Bug 735692 - "back to search" when editing topics from a search result doesn't work as expected
Summary: "back to search" when editing topics from a search result doesn't work as exp...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Matthew Casperson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 01:56 UTC by Dana Mison
Modified: 2014-08-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-05 00:32:46 UTC


Attachments (Terms of Use)

Description Dana Mison 2011-09-05 01:56:04 UTC
20110901-0957 /CustomSearchTopics.xhtml

Scenario:
I do a search and get a list of topics that I need to work on.  I select "edit and tag", do some edits and when I'm done click "Update and List Topics" to save my work.

What happens:
Am returned to a set of search results that shows only the topic that I just edited.  Clicking "Back to search" takes me to a new search form with the ID of the topic I was just editing entered it in.

Expected:
At some point I expect to get returned to the same screen I was at before I started editing this topic - i.e. the search screen populated with my previous search (updated with the current data).  

At the very least the "Back to search" button should do this instead of taking you to the search form that matches the topic that you just edited.

Comment 1 Matthew Casperson 2011-10-05 00:32:46 UTC
This is the expected behavior. To keep your search list, use the "in new window" options (which has just been fixed).


Note You need to log in before you can comment on or make changes to this bug.